﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;

namespace ListViewDragDrop
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            ObservableCollection<DataModel> data = this.listView.ItemsSource as ObservableCollection<DataModel>;
            DataModel dragItemData = (e.DragSource as TextBlock).DataContext as DataModel;
            DataModel dropItemData = (e.DropTarget as TextBlock).DataContext as DataModel;

            int index = data.IndexOf(dragItemData);
            int targetIndex = data.IndexOf(dropItemData);
            data.RemoveAt(index);
            data.Insert(targetIndex, dragItemData);
        }
    }
}
